Page MenuHomePhabricator

add icinga1001 to send_nsca and pfw rules in FRACK
Closed, ResolvedPublic

Description

We have a new Icinga server, icinga1001.wikimedia.org (208.80.154.84, 2620:0:861:3:208:80:154:84) which will be replacing
einsteinium.wikimedia.org (208.80.155.119, 2620:0:861:4:208:80:155:119) in the future.

FRACK servers are sending passive check results with send_nsca to NSCA on the Icinga server.

Can we add icinga1001 here in parallel and send to both IP for a migration period?

Also, separately, einsteinium probably appears somewhere in pfw firewall rules and here it's the same question, could we please allow the new IP before removing the old IP and have both in there for a little while until the old server is actually retired?

Thanks!

Event Timeline

Dzahn created this task.Oct 16 2018, 2:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2018, 2:48 PM
[frack::puppet::private] 527140c add iptables/pfw rules for icinga1001

@Dzahn thanks for the heads up!

@ayounsi whenever you have time: 1539894800

ayounsi claimed this task.EditedOct 19 2018, 4:58 PM

From IRC, the Juniper diff seems to include more than what's mentioned in the description, at least:
saiph renaming and betelgeuse removal

I can provide you the diff if needed.

Mentioned in SAL (#wikimedia-operations) [2018-10-22T14:49:18Z] <XioNoX> push firewall changes to pfw3-codfw - T207175

Mentioned in SAL (#wikimedia-operations) [2018-10-22T15:35:57Z] <XioNoX> push firewall changes to pfw3-eqiad - T207175

ayounsi closed this task as Resolved.Oct 22 2018, 4:03 PM
Dzahn added a comment.EditedOct 22 2018, 7:00 PM

@ayounsi thank you :)

@cwdent has the send_nsca part also been done?

Dwisehaupt moved this task from Triage to Done on the fundraising-tech-ops board.Feb 13 2020, 9:31 PM